#!/usr/bin/sh
>mat.mtr

find base/textures/citadel/????.tga  > list

while read f
do

texname=`basename $f .tga`

tex=`basename $f`

echo "textures/citadel/$texname" >> ./mat.mtr
echo "{" >> ./mat.mtr
echo " noSelfShadow" >> ./mat.mtr
echo " noshadows" >> ./mat.mtr
echo "	qer_editorimage textures/citadel/$tex" >> ./mat.mtr
echo "  diffusemap textures/citadel/$tex" >> ./mat.mtr

b=$texname"_blend.tga"
if [ -f base/textures/citadel/$b ]; then
   echo " {" >> ./mat.mtr
   echo "   blend 	add" >> ./mat.mtr
   echo "   map	textures/citadel/$b" >> ./mat.mtr
   echo "   rgb 3" >> ./mat.mtr  
   echo " }" >> ./mat.mtr
fi

b=$texname"_blend_red.tga"
if [ -f base/textures/citadel/$b ]; then
   echo " {" >> ./mat.mtr
   echo "   blend 	add" >> ./mat.mtr
   echo "   map	textures/citadel/$b" >> ./mat.mtr
   echo "   rgb ( sintable [ time ]) + 1" >> ./mat.mtr  
   echo " }" >> ./mat.mtr
fi

b=$texname"_blend_green.tga"
if [ -f base/textures/citadel/$b ]; then
   echo " {" >> ./mat.mtr
   echo "   blend 	add" >> ./mat.mtr
   echo "   map	textures/citadel/$b" >> ./mat.mtr
   echo "   rgb ( sintable [ 2 * time ]) + 1" >> ./mat.mtr  
   echo " }" >> ./mat.mtr
fi

b=$texname"_blend_blue.tga"
if [ -f base/textures/citadel/$b ]; then
   echo " {" >> ./mat.mtr
   echo "   blend add" >> ./mat.mtr
   echo "   map	textures/citadel/$b" >> ./mat.mtr
   echo "   rgb flickertable [ time * 2 ]" >> ./mat.mtr  
   echo " }" >> ./mat.mtr
fi

#b=$texname"_bump.tga"
#if [ -f ../textures/citadel/$b ]; then
#   echo "  bumpmap textures/citadel/$b" >> ./mat.mtr
#fi

echo "}" >> ./mat.mtr
echo >> ./mat.mtr 
done < list


find base/textures/citadel/objart3/????.tga  > list

while read f
do

texname=`basename $f .tga`

tex=`basename $f`

echo "textures/citadel/objart3/$texname" >> ./mat.mtr
echo "{" >> ./mat.mtr
#echo "translucent" >> ./mat.mtr
echo "qer_editorimage textures/citadel/objart3/$tex" >> ./mat.mtr
# echo "  diffusemap textures/citadel/objart3/$tex" >> ./mat.mtr
echo "twosided" >> ./mat.mtr
echo " {" >> ./mat.mtr
echo "    blend diffusemap" >> ./mat.mtr
#echo "  diffusemap textures/citadel/objart3/$tex" >> ./mat.mtr
echo "    map textures/citadel/objart3/$tex" >> ./mat.mtr
echo "    alphatest .1">> ./mat.mtr
echo " }" >> ./mat.mtr

# b=$texname"_blend.tga"
# if [ -f ../textures/citadel/objart3/$b ]; then
#    echo " {" >> ./mat.mtr
#    echo "   blend add" >> ./mat.mtr
#    echo "   map	textures/citadel/objart3/$b" >> ./mat.mtr
#    echo "   rgb 5" >> ./mat.mtr  
# #   echo "   rgb ( sintable [ .2 * time ]) + 1" >> ./mat.mtr
#    echo " }" >> ./mat.mtr
# fi

# echo "  bumpmap	textures/citadel/bump.tga" >> ./mat.mtr
echo "}" >> ./mat.mtr
echo >> ./mat.mtr 
done < list


#==========================
#
#find base/textures/citadel/citmat/????.tga  > list
#
#while read f
#do
#
#texname=`basename $f .tga`
#
#tex=`basename $f`
#
#echo "textures/citadel/citmat/$texname" >> ./mat.mtr
#echo "{" >> ./mat.mtr
##echo "translucent" >> ./mat.mtr
#echo "	qer_editorimage textures/citadel/citmat/$tex" >> ./mat.mtr
##echo "  diffusemap textures/citadel/objart3/$tex" >> ./mat.mtr
##echo "twosided" >> ./mat.mtr
##echo " {" >> ./mat.mtr
## echo "  blend diffusemap" >> ./mat.mtr
#echo "  diffusemap textures/citadel/citmat/$tex" >> ./mat.mtr
##echo " }" >> ./mat.mtr
#
## b=$texname"_blend.tga"
## if [ -f ../textures/citadel/objart3/$b ]; then
##    echo " {" >> ./mat.mtr
##    echo "   blend add" >> ./mat.mtr
##    echo "   map	textures/citadel/objart3/$b" >> ./mat.mtr
##    echo "   rgb 5" >> ./mat.mtr  
## #   echo "   rgb ( sintable [ .2 * time ]) + 1" >> ./mat.mtr
##    echo " }" >> ./mat.mtr
## fi
#
## echo "  bumpmap	textures/citadel/bump.tga" >> ./mat.mtr
#echo "}" >> ./mat.mtr
#echo >> ./mat.mtr 
#done < list



rm list
